Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface SvcorchFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SvcorchFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SvcorchPackage`

Field Summary
`static SvcorchFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`CheckCondition` | `createCheckCondition()` Returns a new object of class 'Check Condition'
`CustomTransformation` | `createCustomTransformation()` Returns a new object of class 'Custom Transformation'
`DataSlot` | `createDataSlot()` Returns a new object of class 'Data Slot'
`DataSlots` | `createDataSlots()` Returns a new object of class 'Data Slots'
`DeclarativeTransformation` | `createDeclarativeTransformation()` Returns a new object of class 'Declarative Transformation'
`EndLoop` | `createEndLoop()` Returns a new object of class 'End Loop'
`ExceptionHandler` | `createExceptionHandler()` Returns a new object of class 'Exception Handler'
`ExceptionMapping` | `createExceptionMapping()` Returns a new object of class 'Exception Mapping'
`ExceptionMappings` | `createExceptionMappings()` Returns a new object of class 'Exception Mappings'
`ForEach` | `createForEach()` Returns a new object of class 'For Each'
`InputParamBindings` | `createInputParamBindings()` Returns a new object of class 'Input Param Bindings'
`Nodes` | `createNodes()` Returns a new object of class 'Nodes'
`Orchestration` | `createOrchestration()` Returns a new object of class 'Orchestration'
`PAPDCall` | `createPAPDCall()` Returns a new object of class 'PAPD Call'
`ParamBinding` | `createParamBinding()` Returns a new object of class 'Param Binding'
`StartNode` | `createStartNode()` Returns a new object of class 'Start Node'
`StopNode` | `createStopNode()` Returns a new object of class 'Stop Node'
`UserDefinedOpNode` | `createUserDefinedOpNode()` Returns a new object of class 'User Defined Op Node'
`WSCall` | `createWSCall()` Returns a new object of class 'WS Call'
`SvcorchPackage` | `getSvcorchPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SvcorchFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createOrchestration

    Orchestration createOrchestration()

  Returns a new object of class 'Orchestration'.

  Returns:
    a new object of class 'Orchestration'.

### createStartNode

    StartNode createStartNode()

  Returns a new object of class 'Start Node'.

  Returns:
    a new object of class 'Start Node'.

### createStopNode

    StopNode createStopNode()

  Returns a new object of class 'Stop Node'.

  Returns:
    a new object of class 'Stop Node'.

### createPAPDCall

    PAPDCall createPAPDCall()

  Returns a new object of class 'PAPD Call'.

  Returns:
    a new object of class 'PAPD Call'.

### createWSCall

    WSCall createWSCall()

  Returns a new object of class 'WS Call'.

  Returns:
    a new object of class 'WS Call'.

### createCustomTransformation

    CustomTransformation createCustomTransformation()

  Returns a new object of class 'Custom Transformation'.

  Returns:
    a new object of class 'Custom Transformation'.

### createDeclarativeTransformation

    DeclarativeTransformation createDeclarativeTransformation()

  Returns a new object of class 'Declarative Transformation'.

  Returns:
    a new object of class 'Declarative Transformation'.

### createCheckCondition

    CheckCondition createCheckCondition()

  Returns a new object of class 'Check Condition'.

  Returns:
    a new object of class 'Check Condition'.

### createForEach

    ForEach createForEach()

  Returns a new object of class 'For Each'.

  Returns:
    a new object of class 'For Each'.

### createDataSlot

    DataSlot createDataSlot()

  Returns a new object of class 'Data Slot'.

  Returns:
    a new object of class 'Data Slot'.

### createNodes

    Nodes createNodes()

  Returns a new object of class 'Nodes'.

  Returns:
    a new object of class 'Nodes'.

### createDataSlots

    DataSlots createDataSlots()

  Returns a new object of class 'Data Slots'.

  Returns:
    a new object of class 'Data Slots'.

### createParamBinding

    ParamBinding createParamBinding()

  Returns a new object of class 'Param Binding'.

  Returns:
    a new object of class 'Param Binding'.

### createExceptionHandler

    ExceptionHandler createExceptionHandler()

  Returns a new object of class 'Exception Handler'.

  Returns:
    a new object of class 'Exception Handler'.

### createInputParamBindings

    InputParamBindings createInputParamBindings()

  Returns a new object of class 'Input Param Bindings'.

  Returns:
    a new object of class 'Input Param Bindings'.

### createEndLoop

    EndLoop createEndLoop()

  Returns a new object of class 'End Loop'.

  Returns:
    a new object of class 'End Loop'.

### createUserDefinedOpNode

    UserDefinedOpNode createUserDefinedOpNode()

  Returns a new object of class 'User Defined Op Node'.

  Returns:
    a new object of class 'User Defined Op Node'.

### createExceptionMappings

    ExceptionMappings createExceptionMappings()

  Returns a new object of class 'Exception Mappings'.

  Returns:
    a new object of class 'Exception Mappings'.

### createExceptionMapping

    ExceptionMapping createExceptionMapping()

  Returns a new object of class 'Exception Mapping'.

  Returns:
    a new object of class 'Exception Mapping'.

### getSvcorchPackage

    SvcorchPackage getSvcorchPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD